GNU bug report logs - #33117
26.1; Scheme mode: Support lacking for imenu and indentation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Pierre Neidhardt <mail@HIDDEN>; dated Mon, 22 Oct 2018 15:55:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 33117 <at> debbugs.gnu.org:


Received: (at 33117) by debbugs.gnu.org; 14 Oct 2019 07:37:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 03:37:19 2019
Received: from localhost ([127.0.0.1]:37991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJuus-0007DR-MX
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 03:37:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iJuup-0007DC-RL
 for 33117 <at> debbugs.gnu.org; Mon, 14 Oct 2019 03:37:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48076)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iJuuk-0002Ls-3J; Mon, 14 Oct 2019 03:37:10 -0400
Received: from [176.228.60.248] (port=4101 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iJuuf-0001LN-25; Mon, 14 Oct 2019 03:37:08 -0400
Date: Mon, 14 Oct 2019 10:36:59 +0300
Message-Id: <83eezfkcbo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87sgnvn8fn.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 14 Oct 2019 08:32:44 +0200)
Subject: Re: bug#33117: 26.1;
 Scheme mode: Support lacking for imenu and indentation
References: <87mur6ou2u.fsf@HIDDEN> <87zhianx80.fsf@HIDDEN>
 <87pnj6fhe3.fsf@HIDDEN> <87ftk1lxiz.fsf@HIDDEN>
 <87sgnvn8fn.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 33117
Cc: alezost@HIDDEN, mail@HIDDEN, 33117 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 14 Oct 2019 08:32:44 +0200
> Cc: Pierre Neidhardt <mail@HIDDEN>, 33117 <at> debbugs.gnu.org
> 
> Alex Kost <alezost@HIDDEN> writes:
> 
> > Pierre Neidhardt (2019-10-09 10:32 +0200) wrote:
> >
> >>>> 	https://gitlab.com/alezost-config/emacs/blob/master/utils/al-scheme.el
> >>>>
> >>>> Should we merge those changes upstream?
> >>>
> >>> That sounds like a good idea.  Perhaps somebody could contact Kost and
> >>> ask whether these enhancements could be submitted as patches to scheme.el?
> >>
> >> Alex, what do you think?
> >
> > Sure, if you find that file useful, please take it, I don't mind of
> > course.
> 
> Great!  To include that much code, we would need copyright assignments
> for the FSF.  Would you be willing to sign that?

Alex has an assignment on file, so that part is already taken care of.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33117; Package emacs. Full text available.

Message received at 33117 <at> debbugs.gnu.org:


Received: (at 33117) by debbugs.gnu.org; 14 Oct 2019 06:32:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 14 02:32:53 2019
Received: from localhost ([127.0.0.1]:37764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iJtuX-0001HS-Ak
	for submit <at> debbugs.gnu.org; Mon, 14 Oct 2019 02:32:53 -0400
Received: from [80.91.231.51] (port=50730 helo=quimby.gnus.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iJtuU-0001HH-Ce
 for 33117 <at> debbugs.gnu.org; Mon, 14 Oct 2019 02:32:51 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iJtuP-0002dK-Dd; Mon, 14 Oct 2019 08:32:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alex Kost <alezost@HIDDEN>
Subject: Re: bug#33117: 26.1; Scheme mode: Support lacking for imenu and
 indentation
References: <87mur6ou2u.fsf@HIDDEN> <87zhianx80.fsf@HIDDEN>
 <87pnj6fhe3.fsf@HIDDEN> <87ftk1lxiz.fsf@HIDDEN>
Date: Mon, 14 Oct 2019 08:32:44 +0200
In-Reply-To: <87ftk1lxiz.fsf@HIDDEN> (Alex Kost's message of "Wed, 09 Oct
 2019 19:00:04 +0300")
Message-ID: <87sgnvn8fn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Alex Kost <alezost@HIDDEN> writes: > Pierre Neidhardt
 (2019-10-09 10:32 +0200) wrote: > >>>>
 https://gitlab.com/alezost-config/emacs/blob/master/utils/al-scheme.el
 >>>> >>>> Should we merge those changes upstream? >>> >>> That sounds l [...]
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Alex Kost <alezost@HIDDEN> writes: > Pierre Neidhardt
 (2019-10-09 10:32 +0200) wrote: > >>>>
 https://gitlab.com/alezost-config/emacs/blob/master/utils/al-scheme.el
 >>>> >>>> Should we merge those changes upstream? >>> >>> That sounds l [...]
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 33117
Cc: Pierre Neidhardt <mail@HIDDEN>, 33117 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Alex Kost <alezost@HIDDEN> writes:

> Pierre Neidhardt (2019-10-09 10:32 +0200) wrote:
>
>>>> 	https://gitlab.com/alezost-config/emacs/blob/master/utils/al-scheme.el
>>>>
>>>> Should we merge those changes upstream?
>>>
>>> That sounds like a good idea.  Perhaps somebody could contact Kost and
>>> ask whether these enhancements could be submitted as patches to scheme.el?
>>
>> Alex, what do you think?
>
> Sure, if you find that file useful, please take it, I don't mind of
> course.

Great!  To include that much code, we would need copyright assignments
for the FSF.  Would you be willing to sign that?

We'd also need somebody to create a patch out of the changes to apply to
the Emacs code base.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33117; Package emacs. Full text available.

Message received at 33117 <at> debbugs.gnu.org:


Received: (at 33117) by debbugs.gnu.org; 9 Oct 2019 16:00:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 12:00:14 2019
Received: from localhost ([127.0.0.1]:53899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIENp-00057x-Nk
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 12:00:14 -0400
Received: from mail-lj1-f174.google.com ([209.85.208.174]:35318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alezost@HIDDEN>) id 1iIENk-0004xR-8Z
 for 33117 <at> debbugs.gnu.org; Wed, 09 Oct 2019 12:00:10 -0400
Received: by mail-lj1-f174.google.com with SMTP id m7so3076751lji.2
 for <33117 <at> debbugs.gnu.org>; Wed, 09 Oct 2019 09:00:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=8ZjNKW9xM2wMR7XXj8DIDoyV9m1k/zZ2WLUPUre/iis=;
 b=i9nLmmFino1tQGYtLvcqJ3br2yCLRbyQjX9277iW1sMv6j8m+wRGVzJz7vysXK/aiR
 OmKqpI2IZEywJFnBoDZqefyzrsrBfI1hctplk6pA8Slq+uxaliupr0uHoSF97MLi6LVh
 wGLhNfzcWIQ6+t+dtzwTH0PY4ilhhU0DIRnM/BXB7r/+X7p0KLS78QEFJh2EMNu0atTW
 aQOMALMYZpiIntZwuUAV1A3+TLt/UXidEwY3TGTvqDrWzTARwmX4E4ND154u1Xmac/CE
 GltOQfrO3krlY88OYstoAC2veIHNnlPApA/Vs9PWVCA7xvD66VWXRdX3z/5fhfJgSPp1
 Friw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=8ZjNKW9xM2wMR7XXj8DIDoyV9m1k/zZ2WLUPUre/iis=;
 b=M0izxiNrIKVZox2/+2awSnn1wvfKLRftbyNQTzvYqHAk1PSlr8AXXIirmB/YeQoncg
 mmvZ6LNYVe3TQN+RYkkmy+qtzL39+IDPMevCoqxbzW1n+J/nQuBN1YbIba/635TPSU2A
 QSuifFF3BskQk1i/bC7Lk2kNJs8pKcWrJGCQORhhBE4PKHoPqnrQ1KGkPFrN8LfVYGb3
 mySvR114NkHrK8icYMyZkvg/syEeZxknxztAWf9wwiuozVJLDs7H5y8jTlYn8EsTp/rl
 PrzlcoPB4nDDplW2mBcUOqNnH401xNSOhRcSJrzE7GxqGj5TY8Z8hg3AzoQf7lOJYixo
 98ag==
X-Gm-Message-State: APjAAAWdxVt5nqdpHFB6FOGaEOR6D5iw8UZWiQ5XFEtmzobffJCoahAa
 MuFJKjEA59A+Ntt27LcuIm8=
X-Google-Smtp-Source: APXvYqzPRyLRr0M/nWOTUm5d4Gmcgu+N1hx0MuX9McdhvmX1St2ZovtSdhDvhZN/T9qVbChOqboMCw==
X-Received: by 2002:a2e:8204:: with SMTP id w4mr2878435ljg.212.1570636802063; 
 Wed, 09 Oct 2019 09:00:02 -0700 (PDT)
Received: from leviafan ([217.107.194.3])
 by smtp.gmail.com with ESMTPSA id x14sm550730lfe.3.2019.10.09.09.00.00
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 09 Oct 2019 09:00:01 -0700 (PDT)
From: Alex Kost <alezost@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#33117: 26.1;
 Scheme mode: Support lacking for imenu and indentation
References: <87mur6ou2u.fsf@HIDDEN> <87zhianx80.fsf@HIDDEN>
 <87pnj6fhe3.fsf@HIDDEN>
Date: Wed, 09 Oct 2019 19:00:04 +0300
In-Reply-To: <87pnj6fhe3.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Wed, 09 Oct 2019 10:32:52 +0200")
Message-ID: <87ftk1lxiz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33117
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 33117 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pierre Neidhardt (2019-10-09 10:32 +0200) wrote:

>>> I've noticed that Scheme mode is lacking some important features.
>>> For instance, `imenu-generic-expression' does not match `define-public'.
>>>
>>> Alex Kost has compiled a bunch of fixes:
>>>
>>> 	https://gitlab.com/alezost-config/emacs/blob/master/utils/al-scheme.el
>>>
>>> Should we merge those changes upstream?
>>
>> That sounds like a good idea.  Perhaps somebody could contact Kost and
>> ask whether these enhancements could be submitted as patches to scheme.el?
>
> Alex, what do you think?

Sure, if you find that file useful, please take it, I don't mind of
course.

-- 
Alex




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33117; Package emacs. Full text available.

Message received at 33117 <at> debbugs.gnu.org:


Received: (at 33117) by debbugs.gnu.org; 9 Oct 2019 08:32:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 04:32:57 2019
Received: from localhost ([127.0.0.1]:52090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iI7Oz-0000UI-9o
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 04:32:57 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:53993)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1iI7Ox-0000U9-C5
 for 33117 <at> debbugs.gnu.org; Wed, 09 Oct 2019 04:32:56 -0400
X-Originating-IP: 92.169.151.76
Received: from bababa (lfbn-1-4156-76.w92-169.abo.wanadoo.fr [92.169.151.76])
 (Authenticated sender: pierre@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 1327940014;
 Wed,  9 Oct 2019 08:32:52 +0000 (UTC)
From: Pierre Neidhardt <mail@HIDDEN>
To: Alex Kost <alezost@HIDDEN>
Subject: Re: bug#33117: 26.1;
 Scheme mode: Support lacking for imenu and indentation
In-Reply-To: <87zhianx80.fsf@HIDDEN>
References: <87mur6ou2u.fsf@HIDDEN> <87zhianx80.fsf@HIDDEN>
Date: Wed, 09 Oct 2019 10:32:52 +0200
Message-ID: <87pnj6fhe3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 33117
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 33117 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

>> I've noticed that Scheme mode is lacking some important features.
>> For instance, `imenu-generic-expression' does not match `define-public'.
>>
>> Alex Kost has compiled a bunch of fixes:
>>
>> 	https://gitlab.com/alezost-config/emacs/blob/master/utils/al-scheme.el
>>
>> Should we merge those changes upstream?
>
> That sounds like a good idea.  Perhaps somebody could contact Kost and
> ask whether these enhancements could be submitted as patches to scheme.el?

Alex, what do you think?

=2D-=20
Pierre Neidhardt
https://ambrevar.xyz/

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEUPM+LlsMPZAEJKvom9z0l6S7zH8FAl2dmzQACgkQm9z0l6S7
zH8rTAf9EuulVe5oLRZlJgFJKPp8OW7EXRfOSOsajVbXiAlAxNqbmhd62Yii+HuM
TaQd9bDs3EyS5t9KR67cZBztjrCeegmL4h138DfPNG0AXi2p1k4MLWptU8tK0eEQ
Sf6nDmdd4n1ohsRyIcpqDvDCavpczSFfhDcqhpjHX0RAE2PxD9lfKpRxc9JeYxWf
c3A7+hm8niKopOywXHHZPnDYgZV0d4DV2jYBTWbDCBHiq+mmRBtImGDRMvM7qoh3
2SJVZni6fM+oSXKj7NikpFrzrQ6ZwxDr394xzSkOydf3feV8RNjzkI9UmbffgnQs
Q3qRt/QAQOCssvqT2gefs8KlRfCTZQ==
=gUe3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33117; Package emacs. Full text available.

Message received at 33117 <at> debbugs.gnu.org:


Received: (at 33117) by debbugs.gnu.org; 9 Oct 2019 08:23:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 04:23:49 2019
Received: from localhost ([127.0.0.1]:52082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iI7G9-0006dg-1Z
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 04:23:49 -0400
Received: from quimby.gnus.org ([80.91.231.51]:57138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iI7G7-0006dX-DI
 for 33117 <at> debbugs.gnu.org; Wed, 09 Oct 2019 04:23:47 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iI7G3-0004vy-Ow; Wed, 09 Oct 2019 10:23:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Pierre Neidhardt <mail@HIDDEN>
Subject: Re: bug#33117: 26.1; Scheme mode: Support lacking for imenu and
 indentation
References: <87mur6ou2u.fsf@HIDDEN>
Date: Wed, 09 Oct 2019 10:23:43 +0200
In-Reply-To: <87mur6ou2u.fsf@HIDDEN> (Pierre Neidhardt's message of
 "Mon, 22 Oct 2018 17:54:33 +0200")
Message-ID: <87zhianx80.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Pierre Neidhardt <mail@HIDDEN> writes: > I've noticed
 that Scheme mode is lacking some important features. > For instance,
 `imenu-generic-expression'
 does not match `define-public'. > > Alex Kost has compiled a bunch of fixes:
 > > https:// [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 33117
Cc: 33117 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pierre Neidhardt <mail@HIDDEN> writes:

> I've noticed that Scheme mode is lacking some important features.
> For instance, `imenu-generic-expression' does not match `define-public'.
>
> Alex Kost has compiled a bunch of fixes:
>
> 	https://gitlab.com/alezost-config/emacs/blob/master/utils/al-scheme.el
>
> Should we merge those changes upstream?

That sounds like a good idea.  Perhaps somebody could contact Kost and
ask whether these enhancements could be submitted as patches to scheme.el?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#33117; Package emacs. Full text available.
Severity set to 'minor' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Oct 2018 15:54:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 22 11:54:50 2018
Received: from localhost ([127.0.0.1]:36386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEcXa-0002Pn-JZ
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 11:54:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40433)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1gEcXZ-0002Pa-Ba
 for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 11:54:49 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gEcXT-0003zD-8H
 for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 11:54:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34966)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1gEcXT-0003yj-37
 for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 11:54:43 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50010)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gEcXS-0006aV-2J
 for bug-gnu-emacs@HIDDEN; Mon, 22 Oct 2018 11:54:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mail@HIDDEN>) id 1gEcXP-0003qZ-Ap
 for bug-gnu-emacs@HIDDEN; Mon, 22 Oct 2018 11:54:41 -0400
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:37533)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mail@HIDDEN>) id 1gEcXO-0003i5-CM
 for bug-gnu-emacs@HIDDEN; Mon, 22 Oct 2018 11:54:39 -0400
X-Originating-IP: 88.190.253.40
Received: from mimimi (unknown [88.190.253.40])
 (Authenticated sender: mail@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id C8C561BF21F
 for <bug-gnu-emacs@HIDDEN>; Mon, 22 Oct 2018 15:54:33 +0000 (UTC)
User-agent: mu4e 1.0; emacs 26.1
From: Pierre Neidhardt <mail@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.1; Scheme mode: Support lacking for imenu and indentation
Date: Mon, 22 Oct 2018 17:54:33 +0200
Message-ID: <87mur6ou2u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


I've noticed that Scheme mode is lacking some important features.
For instance, `imenu-generic-expression' does not match `define-public'.

Alex Kost has compiled a bunch of fixes:

	https://gitlab.com/alezost-config/emacs/blob/master/utils/al-scheme.el

Should we merge those changes upstream?



In GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
 of 2018-10-08 built on localhost
Windowing system distributor 'The X.Org Foundation', version 11.0.12001000
Recent messages:
Sending via mail...
Sending email 
Sending email done
Mark set
Saving file /home/ambrevar/.cache/mail/mail/Sent/cur/1540223386.95e9c43d8195d02d.mimimi:2,S...
Wrote /home/ambrevar/.cache/emacs/places
Wrote /home/ambrevar/.cache/mail/mail/Sent/cur/1540223386.95e9c43d8195d02d.mimimi:2,S
Sending...done
[mu4e] Message sent
[mu4e] Found 1 matching message

Configured using:
 'configure
 CONFIG_SHELL=/gnu/store/rbrandv7anzjxqkr40d7fkanzssslk4b-bash-minimal-4.4.19/bin/bash
 SHELL=/gnu/store/rbrandv7anzjxqkr40d7fkanzssslk4b-bash-minimal-4.4.19/bin/bash
 --prefix=/gnu/store/812qcxpnjz17nbc0l3lsscma5dkjb96m-emacs-26.1
 --enable-fast-install'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY ACL
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 THREADS

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

<#secure method=pgpmime mode=sign>

-- 
Pierre Neidhardt
https://ambrevar.xyz/




Acknowledgement sent to Pierre Neidhardt <mail@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#33117; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.